mibarret
Enthusiast
Enthusiast

Apps that worked in 2x not working in 4x

Has anyone else been seeing apps the would install and run in a version 2x of App Volumes perfectly fine not run at all when installed in App Volumes 4x?

Even during the provisioning stage, once the application is installed, it will not run.

Errors are different for different apps but if I do the exact same procedure on a 2x provisioning VM, it installs and runs just fine.

It's strange because other apps that are re-provisioned are good. There doesn't seen to be a common cause of the problem.

13 Replies
MaxStr
Hot Shot
Hot Shot

Have you tried migrating the 2.X app to 4 using their migration tool

0 Kudos
mibarret
Enthusiast
Enthusiast

Yes, I've had mixed results with that.

Most are good but,

Some apps Error on migration,

Others will migrate but will not import into AV4,

and Some get into AV4 fine but will not run - These are the same ones that I am trying to install directly into AV4 with issues.

     Example apps, ArcGIS, Cogsdale

0 Kudos
vBritinUSA
Hot Shot
Hot Shot

Working with a customer and having mixed results ourselves.

We were told from GSS to enable this in the registry on the Provisioning VM.

The issue was fixed by setting the below registry to 0

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\svdriver\Parameters\HookInjectionWhitelist

There is a AppVolumes 4 patch coming soon

Good luck

Please mark helpful or correct if my answer resolved your issue.
0 Kudos
mibarret
Enthusiast
Enthusiast

vBritinUSA,

Just to clarify,

is it: HookInjectionWhitelist - Mine is a multi-string populated with a bunch of exe's

OR

EnableHookInjection - Mine is set to 1

?

Thanks

0 Kudos
vBritinUSA
Hot Shot
Hot Shot

Hi Sorry,

EnableHookInjection = 0

Please mark helpful or correct if my answer resolved your issue.
jeremyschiwal
Contributor
Contributor

After I set EnableHookInjection = 0 the ARCGIS 10.4.1 setup told me it could not find the msi during provisioning.

0 Kudos
vBritinUSA
Hot Shot
Hot Shot

Yeah, it worked for 1 of our apps and then not for others. Sorry I should have tested on more apps before I posted the reply.

Please mark helpful or correct if my answer resolved your issue.
0 Kudos
Ray_handels
Virtuoso
Virtuoso

We hd the ArcGis issue as well, there is a hotfix for that and now we are able to install ArcGis and SPSS as well, it is called 4.0.2 internally i believe.

But I think the new patch will be coming soon as well looking at the release train of VMware. So the question is do you wanna wait for that 4.1 version or do you want to have the 4.0.2 version already?

One of the issues that is being fixed is with registration of the classes root registry keys, that doesnot seem to work correctly right now.

pieterheijms
Enthusiast
Enthusiast

Where can I download 4.0.2?

Thanks.

Pieter

0 Kudos
Ray_handels
Virtuoso
Virtuoso

My guess is that you need to ask support for it. Depends on wether you would like to go for 4.1 or 4.0.2.

vBritinUSA
Hot Shot
Hot Shot

FYI 4.1 was released.

Please mark helpful or correct if my answer resolved your issue.
0 Kudos
riccardoklinger
Contributor
Contributor

Even after two years:

Currently we are facing very slow performance for our ArcMAP users as reading com classes and other registry entries from HKCR takes ages. Have you faced similar problems in the past and - if so - how did you overcome them?

0 Kudos
ArneJohansen
Contributor
Contributor

0 Kudos